Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Ctors | Methods | Inherited Methods | [Expand All]
public final class

# EnableWalletOptimizationReceiver

extends BroadcastReceiver

java.lang.Object
↳ | android.content.BroadcastReceiver
| ↳ | com.google.android.gms.wallet.EnableWalletOptimizationReceiver

## Class Overview

A dummy BroadcastReceiver used with an IntentFilter specifying action `ACTION_ENABLE_WALLET_OPTIMIZATION` to signal that your application uses Wallet. See `ACTION_ENABLE_WALLET_OPTIMIZATION` for details of using it.

## Summary

Public Constructors
| EnableWalletOptimizationReceiver()

Public Methods
void | onReceive(Context context, Intent intent)

[Expand] Inherited Methods

From class android.content.BroadcastReceiver

final void | abortBroadcast()
final void | clearAbortBroadcast()
final boolean | getAbortBroadcast()
final boolean | getDebugUnregister()
final int | getResultCode()
final String | getResultData()
final Bundle | getResultExtras(boolean arg0)
final BroadcastReceiver.PendingResult | goAsync()
final boolean | isInitialStickyBroadcast()
final boolean | isOrderedBroadcast()
abstract void | onReceive(Context arg0, Intent arg1)
IBinder | peekService(Context arg0, Intent arg1)
final void | setDebugUnregister(boolean arg0)
final void | setOrderedHint(boolean arg0)
final void | setResult(int arg0, String arg1, Bundle arg2)
final void | setResultCode(int arg0)
final void | setResultData(String arg0)
final void | setResultExtras(Bundle arg0)

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Constructors

#### public EnableWalletOptimizationReceiver ()

## Public Methods

#### public void onReceive (Context context, Intent intent)